"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var Type_1 = require("./Type");
var SideButtons = function (_a) {
    var onIncreaseHandler = _a.onIncreaseHandler, OnDecreaseHandler = _a.OnDecreaseHandler, OnStopCounter = _a.OnStopCounter, signAlignment = _a.signAlignment, sign = _a.sign, counter = _a.counter, decimals = _a.decimals, parentStyle = _a.parentStyle, inputStyle = _a.inputStyle;
    var increaseHandler = function () {
        onIncreaseHandler();
    };
    var decreaseHandler = function () {
        OnDecreaseHandler();
    };
    var stopCounter = function () {
        OnStopCounter();
    };
    return (jsx_runtime_1.jsxs("div", __assign({ className: "input-group", style: parentStyle }, { children: [jsx_runtime_1.jsxs("div", __assign({ className: "input-group-prepend" }, { children: [jsx_runtime_1.jsx("input", { type: "button", onMouseDown: decreaseHandler, onMouseUp: stopCounter, className: "btn-right", value: "-" }, void 0), sign && signAlignment === Type_1.Alignment.Left && (jsx_runtime_1.jsx("span", __assign({ className: "input-group-text" }, { children: sign }), void 0))] }), void 0), jsx_runtime_1.jsx("input", { type: "text", className: "form-control ", value: counter.toFixed(decimals), readOnly: true, style: inputStyle }, void 0), jsx_runtime_1.jsxs("div", __assign({ className: "input-group-append" }, { children: [sign && signAlignment === Type_1.Alignment.Right && (jsx_runtime_1.jsx("span", __assign({ className: "input-group-text" }, { children: sign }), void 0)), jsx_runtime_1.jsx("input", { type: "button", onMouseDown: increaseHandler, onMouseUp: stopCounter, className: "btn-right", value: "+" }, void 0)] }), void 0)] }), void 0));
};
exports.default = SideButtons;
